## nml 0.2.4

=== Makefile ===
MAKE?=make
PYTHON?=python

.PHONY: regression install bundle clean

regression:
	$(MAKE) -C regression
test: regression

install:
	$(PYTHON) setup.py install

bundle:
	$(PYTHON) bootstrap.py

clean:
	$(MAKE) -C regression clean

=== regression/Makefile ===
.PHONY: clean all
.DEFAULT:

_V ?= @
_E ?= @echo
_SE ?= echo

TEST_FILES = $(basename $(shell ls *.nml))
NMLC ?= ../nmlc -s

.PHONY: $(TEST_FILES) clean

all: $(TEST_FILES)

$(TEST_FILES):
	$(_V) echo "Running test $@"
	$(_V) mkdir -p output nml_output output2
	$(_V) $(NMLC) --nfo output/$@.nfo --grf output/$@.grf $@.nml --nml nml_output/$@.nml && \
$(NMLC) --nfo output2/$@.nfo --grf output2/$@.grf nml_output/$@.nml
	$(_V) diff -u output/$@.nfo expected/$@.nfo && diff -u output/$@.grf expected/$@.grf && \
diff -u output2/$@.nfo expected/$@.nfo && diff -u output2/$@.grf expected/$@.grf

clean:
	$(_V) rm -rf output nml_output output2 parsetab.py

## nml 0.2.3

=== debian/changelog ===
nml (0.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #651217)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 26 Mar 2012 15:38:40 +0200

=== debian/control ===
Source: nml
Section: devel
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), python-all (>= 2.5), python-setuptools,
# For regression testing
 python-ply, python-imaging
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nml.git
Vcs-Git: git://git.debian.org/collab-maint/nml.git
Homepage: http://dev.openttdcoop.org/projects/nml

Package: nml
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
# Upstream doesn't list dependencies in setup.py, so we list them manually here
 python-ply, python-imaging,
# The nmlc script setuptools generates uses pkg_resources from setuptools to
# locate its entrypoint within the nml python package.
 python-setuptools
Description: newgrf meta language compiler
 NML is a python-based compiler, capable of compiling NML (NewGRF Meta
 Language) files (along with their associated language, sound and graphic
 files) into grf and / or nfo files (which can serve as datafiles for the
 OpenTTD or TTDPatch games).

## nml 0.2.4

=== debian/changelog ===
nml (0.2.4-1) unstable; urgency=low

  * [f45e993] New upstream release 0.2.4.
  * [c2c307f] Bump Standards-Version to 3.9.4, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 15 Mar 2013 16:35:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), python-all (>= 2.5), python-setuptools,
 # For regression testing
  python-ply, python-imaging
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nml.git
 Vcs-Git: git://git.debian.org/collab-maint/nml.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the nml debian package.

# Use debhelper default for all targets (but some are overridden below).
%:
	# Force the python_distutils buildsystem, since there is also a
	# Makefile (which is used only for testing by this rules file).
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_test:
	# Regression testing is done through a Makefile. Set an env var
	# to prevent python from generating pyc files all over the
	# source tree well. We still run dh_auto_test here, so we don't
	# need to check DEB_BUILD_OPTIONS for nocheck
	PYTHONDONTWRITEBYTECODE=1 dh_auto_test --buildsystem makefile

override_dh_auto_clean:
	dh_auto_clean
	# The distutils buildsystem doesn't know about the regression
	# test, so we'll have to manually clean it. Ignore any failures
	# by prepending a dash.
	make -C regression clean

=== debian/watch ===
version=3

http://bundles.openttdcoop.org/nml/releases/([0-9.]*)/nml-(.*).src.tar.gz

## nml 0.3.1

=== regression/Makefile ===
.PHONY: clean all
.DEFAULT:

_V ?= @
_E ?= @echo
_SE ?= echo

TEST_FILES = $(basename $(shell ls *.nml))
NMLC ?= ../nmlc
# Note: Manually overriding NML_FLAGS may break the regression test
NML_FLAGS ?= -s -c

.PHONY: $(TEST_FILES) clean

all: $(TEST_FILES)

$(TEST_FILES):
	$(_V) echo "Running test $@"
	$(_V) mkdir -p output nml_output output2
	$(_V) $(NMLC) $(NML_FLAGS) --nfo output/$@.nfo --grf output/$@.grf $@.nml --nml nml_output/$@.nml && \
$(NMLC) $(NML_FLAGS) -n --nfo output2/$@.nfo --grf output2/$@.grf nml_output/$@.nml
	$(_V) diff -u expected/$@.nfo output/$@.nfo && diff -u expected/$@.grf output/$@.grf && \
diff -u expected/$@.nfo output2/$@.nfo && diff -u expected/$@.grf output2/$@.grf

clean:
	$(_V) rm -rf output nml_output output2 parsetab.py

=== debian/changelog ===
nml (0.3.1-2) unstable; urgency=medium

  * [7ec683d] Bump Standards-Version to 3.9.6, no changes required.
  * [461c8f7] Update watch file

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 23 Oct 2014 16:18:57 +0200

nml (0.3.1-1) unstable; urgency=medium

  * [c6616c7] New upstream release 0.3.1.
  * [28f5b9a] Update the watch file
  * [72a1ae5] Bump Standards-Version to 3.9.5, no changes required.
  * [8aaaa37] Use canonical Vcs urls (on anonscm.debian.org)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 11 May 2014 10:33:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9), python-all (>= 2.5), python-setuptools,
 # For regression testing
  python-ply, python-imaging
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nml.git
-Vcs-Git: git://git.debian.org/collab-maint/nml.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/nml.git
 Homepage: http://dev.openttdcoop.org/projects/nml
 
 Package: nml

=== debian/watch ===
version=3

http://bundles.openttdcoop.org/nml/releases/LATEST/nml-([0-9.]+).r[0-9]+-[0-9a-f]+.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## nml 0.4.4

=== regression/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 TEST_FILES = $(basename $(shell ls *.nml))
 NMLC ?= ../nmlc
 # Note: Manually overriding NML_FLAGS may break the regression test
-NML_FLAGS ?= -s -c
+NML_FLAGS ?= -s -c --verbosity=1
 
 .PHONY: $(TEST_FILES) clean

=== debian/changelog ===
nml (0.4.4-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:50 +0000

nml (0.4.4-1) unstable; urgency=medium

  * [c2871ea] New upstream release 0.4.4.
    - Fixes FTBFS with python3-pil 3.0. (Closes: #808508)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 07 Jan 2016 14:07:47 +0100

nml (0.4.2-1) unstable; urgency=medium

  * [7115986] New upstream release 0.4.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 22 Sep 2015 20:11:39 +0200

nml (0.4.1-1) unstable; urgency=medium

  * [fea8e5b] Update watch file
  * [d4cfd02] New upstream release 0.4.1.
  * [1df5ef8] Build for (only) python3 now
  * [b423138] Turn into architecture-dependent package
  * [560eb77] Update copyright file, bootstrap.py was removed

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 02 May 2015 08:46:54 +0200

=== debian/control ===
Source: nml
Section: devel
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all-dev, python3-setuptools,
# For regression testing
 python3-ply, python3-pil
Standards-Version: 3.9.6
X-Python3-Version: >= 3.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nml.git
Vcs-Git: git://anonscm.debian.org/collab-maint/nml.git
Homepage: http://dev.openttdcoop.org/projects/nml

Package: nml
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
# Upstream doesn't list dependencies in setup.py, so we list them manually here
 python3-ply, python3-pil,
# The nmlc script setuptools generates uses pkg_resources from setuptools to
# locate its entrypoint within the nml python package.
 python3-setuptools
Description: newgrf meta language compiler
 NML is a python-based compiler, capable of compiling NML (NewGRF Meta
 Language) files (along with their associated language, sound and graphic
 files) into grf and / or nfo files (which can serve as datafiles for the
 OpenTTD or TTDPatch games).

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # Use debhelper default for all targets (but some are overridden below).
 %:
-	# Force the python_distutils buildsystem, since there is also a
+	# Force the pybuild buildsystem, since there is also a
 	# Makefile (which is used only for testing by this rules file).
-	dh $@ --with python2 --buildsystem python_distutils
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_test:
 	# Regression testing is done through a Makefile. Set an env var

## nml 0.4.5

=== Makefile ===
MAKE?=make
PYTHON?=/usr/bin/env python3

.PHONY: regression install bundle extensions clean

regression: extensions
	$(MAKE) -C regression
test: regression

install:
	$(PYTHON) setup.py install

extensions:
	$(PYTHON) setup.py build_ext --inplace

clean:
	$(MAKE) -C regression clean

=== debian/changelog ===
nml (0.4.5-2) unstable; urgency=medium

  * [9ff16e4] Fix building with newer pillow versions (Closes: #942716)
  * [5a2c057] Make regression tests more verbose
  * [7d879f9] Support DEB_BUILD_OPTIONS=terse
  * [dd97731] Bump debhelper version to v12
  * [4b86be6] Bump standards version to 4.4.1
  * [935d839] Set Rules-Requires-Root: no for building

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 02 Dec 2019 13:22:12 +0100

nml (0.4.5-1) unstable; urgency=medium

  * [268c252] New upstream release 0.4.5
  * [1d66141] Mark testing Build-Depends with !nocheck. Thanks to Helmut
    Grohne for the patch
  * [7c03add] Fix build dependencies for Multi-Arch cross-compilation.
    Thanks to Helmut Grohne for the patch (Closes: #902189)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 20 Jul 2018 14:02:03 +0200

nml (0.4.4-2) unstable; urgency=medium

  * [a948ee9] Bump debhelper version to v11
  * [21324b3] Bump standards version to 4.1.4
  * [55fb134] Respect nocheck in DEB_BUILD_OPTIONS
  * [2f8372b] Remove X-Python3-Version: >= 3.2. This requirement is
    automatically satisfied, even in oldstable, so there is no need to
    keep it around.
  * [65eb9c2] Mark as Multi-arch: foreign
  * [c0567b7] Enable all hardening options

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 10 May 2018 21:43:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all-dev, python3-setuptools,
+Build-Depends: debhelper (>= 12), dh-python, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
 # For regression testing
- python3-ply, python3-pil
-Standards-Version: 3.9.6
-X-Python3-Version: >= 3.2
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nml.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/nml.git
-Homepage: http://dev.openttdcoop.org/projects/nml
+ python3-ply <!nocheck>, python3-pil <!nocheck>
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openttd-team/nml
+Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
+Homepage: https://github.com/OpenTTD/nml
+Rules-Requires-Root: no
 
 Package: nml
 Architecture: any
+Multi-Arch: foreign
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
 # Upstream doesn't list dependencies in setup.py, so we list them manually here
  python3-ply, python3-pil,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Makefile to build the nml debian package.
+
+# Enable all hardening options (since nml processes potentially
+# untrusted input).
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Use debhelper default for all targets (but some are overridden below).
 %:
@@ -8,12 +12,38 @@
 	# Makefile (which is used only for testing by this rules file).
 	dh $@ --with python3 --buildsystem pybuild
 
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+# When terse is specified, pass --quiet to dh_auto_*, which gets passed
+# on to pybuild. We cannot pass this directly to dh above, since:
+#  - Options passed to dh get wrapped on -O and are not passed on to the
+#    actual buildsystem.
+#  - If you work around that using DH_OPTIONS, you will be passing
+#    --quiet also to steps that do not understand it (e.g. clean).
+#
+# This stuff can be removed once dh-python starts handling this
+# automatically: https://bugs.debian.org/945945
+override_dh_auto_build:
+	dh_auto_build $@ -- --quiet
+override_dh_auto_configure:
+	dh_auto_configure $@ -- --quiet
+override_dh_auto_install:
+	dh_auto_install $@ -- --quiet
+endif
+
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+# Enable verbose by *unsetting* _V, which defaults to a prefix that
+# supresses verbose output
+TEST_VERBOSE="_V="
+endif
+
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Regression testing is done through a Makefile. Set an env var
 	# to prevent python from generating pyc files all over the
 	# source tree well. We still run dh_auto_test here, so we don't
 	# need to check DEB_BUILD_OPTIONS for nocheck
-	PYTHONDONTWRITEBYTECODE=1 dh_auto_test --buildsystem makefile
+	PYTHONDONTWRITEBYTECODE=1 dh_auto_test --buildsystem makefile -- ${TEST_VERBOSE}
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3

https://bundles.openttdcoop.org/nml/releases/LATEST/nml-([0-9.]+).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## nml 0.5.2

=== debian/changelog ===
nml (0.5.2-1) unstable; urgency=medium

  * [3784cfa] New upstream release 0.5.2

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 19 May 2020 18:00:48 +0200

nml (0.5.1-3) unstable; urgency=medium

  * [3ae14f8] Fix nocheck FTBFS: Remove <!nocheck> annotations. Thanks to
    Helmut Grohne for the patch (Closes: #960461)
  * [457dda4] Bump debhelper version to v13

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 13 May 2020 09:45:20 +0200

nml (0.5.1-2) unstable; urgency=medium

  * [2916256] Fix build with DEB_BUILD_OPTIONS=nocheck

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 11 May 2020 20:32:06 +0200

nml (0.5.1-1) unstable; urgency=medium

  * [1b0d3b3] New upstream release 0.5.1 (Closes: #954672)
  * [e6b5723] Declare minimum version for python3-pil
  * [22ef63a] Bump standards version to 4.5.0 (no changes required)
  * [9659ab2] Remove fix-build-with-newer-pillow.patch, included upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 11 May 2020 10:52:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 12), dh-python, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
-# For regression testing
- python3-ply <!nocheck>, python3-pil <!nocheck>
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
+ python3-ply, python3-pil
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/nml
 Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
 Homepage: https://github.com/OpenTTD/nml
@@ -17,7 +16,7 @@
 Multi-Arch: foreign
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
 # Upstream doesn't list dependencies in setup.py, so we list them manually here
- python3-ply, python3-pil,
+ python3-ply, python3-pil (>= 3.4),
 # The nmlc script setuptools generates uses pkg_resources from setuptools to
 # locate its entrypoint within the nml python package.
  python3-setuptools

=== debian/rules ===
--- 
+++ 
@@ -37,13 +37,11 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Regression testing is done through a Makefile. Set an env var
 	# to prevent python from generating pyc files all over the
 	# source tree well. We still run dh_auto_test here, so we don't
 	# need to check DEB_BUILD_OPTIONS for nocheck
 	PYTHONDONTWRITEBYTECODE=1 dh_auto_test --buildsystem makefile -- ${TEST_VERBOSE}
-endif
 
 override_dh_auto_clean:
 	dh_auto_clean

## nml 0.5.3

=== regression/Makefile ===
.PHONY: clean all
.DEFAULT:

_V ?= @
_E ?= @echo
_SE ?= echo

TEST_FILES = $(basename $(shell ls *.nml))
EXAMPLES = $(shell ls ../examples)
NMLC ?= $(abspath ../nmlc)
# Note: Manually overriding NML_FLAGS may break the regression test
NML_FLAGS ?= -s -c --verbosity=1

.PHONY: $(TEST_FILES) $(EXAMPLES) clean

all: $(TEST_FILES) $(EXAMPLES)

$(TEST_FILES):
	$(_V) echo "Running test $@"
	$(_V) mkdir -p output nml_output output2
# First pass : check compilation of source nml and generation of optimised nml
	$(_V) $(NMLC) $(NML_FLAGS) --nfo output/$@.nfo --grf output/$@.grf $@.nml --nml nml_output/$@.nml
	$(_V) diff -u --strip-trailing-cr expected/$@.nfo output/$@.nfo
	$(_V) diff expected/$@.grf output/$@.grf
# Second pass : check compilation of optimised nml
	$(_V) $(NMLC) $(NML_FLAGS) -n --nfo output2/$@.nfo --grf output2/$@.grf nml_output/$@.nml
	$(_V) diff -u --strip-trailing-cr expected/$@.nfo output2/$@.nfo
	$(_V) diff expected/$@.grf output2/$@.grf

$(EXAMPLES):
	$(_V) echo "Testing example $@"
	$(_V) mkdir -p output nml_output output2
# First pass as above
# We must change directory, because nmlc provides no way to set a base directory for realsprite files.
	$(_V) cd ../examples/$@/ && \
		$(NMLC) $(NML_FLAGS) -n \
		--nfo ../../regression/output/example_$@.nfo \
		--nml ../../regression/nml_output/example_$@.nml \
		--grf ../../regression/output/example_$@.grf \
		example_$@.nml && cd ../../regression
	$(_V) diff -u --strip-trailing-cr expected/example_$@.nfo output/example_$@.nfo
	$(_V) diff expected/example_$@.grf output/example_$@.grf
# Second pass
	$(_V) cd ../examples/$@/ && \
		$(NMLC) $(NML_FLAGS) -n \
		--nfo ../../regression/output2/example_$@.nfo \
		--grf ../../regression/output2/example_$@.grf \
		../../regression/nml_output/example_$@.nml && cd ../../regression
	$(_V) diff -u --strip-trailing-cr expected/example_$@.nfo output2/example_$@.nfo
	$(_V) diff expected/example_$@.grf output2/example_$@.grf

clean:
	$(_V) rm -rf output nml_output output2

=== debian/changelog ===
nml (0.5.3-2) unstable; urgency=medium

  * [45f287d] Fix test FTBFS: backport fixed .pcx files from upstream.
    Thanks to Phil Morrell for the initial patch (Closes: #980641)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 24 Feb 2021 14:43:29 +0100

nml (0.5.3-1) unstable; urgency=medium

  * [ed7a795] New upstream release 0.5.3
  * [8db9759] Bump standards version to 4.5.1.0 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 07 Dec 2020 12:44:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
  python3-ply, python3-pil
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/nml
 Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
 Homepage: https://github.com/OpenTTD/nml

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 %:
 	# Force the pybuild buildsystem, since there is also a
 	# Makefile (which is used only for testing by this rules file).
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 # When terse is specified, pass --quiet to dh_auto_*, which gets passed
@@ -37,15 +37,22 @@
 endif
 
 override_dh_auto_test:
+	if ! [ -d debian/original-pcx-files ]; then \
+		mkdir debian/original-pcx-files; \
+		mv regression/*.pcx debian/original-pcx-files; \
+		cp debian/fixed-pcx-files/*.pcx regression/; \
+	fi
 	# Regression testing is done through a Makefile. Set an env var
 	# to prevent python from generating pyc files all over the
 	# source tree well. We still run dh_auto_test here, so we don't
 	# need to check DEB_BUILD_OPTIONS for nocheck
 	PYTHONDONTWRITEBYTECODE=1 dh_auto_test --buildsystem makefile -- ${TEST_VERBOSE}
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	# The distutils buildsystem doesn't know about the regression
-	# test, so we'll have to manually clean it. Ignore any failures
-	# by prepending a dash.
+	# test, so we'll have to manually clean it.
 	make -C regression clean
+	if [ -d debian/original-pcx-files ]; then \
+		mv debian/original-pcx-files/*.pcx regression/; \
+		rmdir debian/original-pcx-files; \
+	fi

## nml 0.6.1

=== debian/changelog ===
nml (0.6.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:40 +0100

nml (0.6.1-1) unstable; urgency=medium

  * [7cde190] New upstream release 0.6.1
  * [9055f63] Add upstream metadata
  * [2f8263f] Bump standards version to 4.6.0 (no changes required)
  * [6272016] Revert "Fix test FTBFS: backport fixed .pcx files from
    upstream"
  * [38be21d] Skip style checks during dh_auto_test

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 23 Nov 2021 11:18:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
  python3-ply, python3-pil
-Standards-Version: 4.5.1.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/nml
 Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
 Homepage: https://github.com/OpenTTD/nml

=== debian/rules ===
--- 
+++ 
@@ -37,22 +37,16 @@
 endif
 
 override_dh_auto_test:
-	if ! [ -d debian/original-pcx-files ]; then \
-		mkdir debian/original-pcx-files; \
-		mv regression/*.pcx debian/original-pcx-files; \
-		cp debian/fixed-pcx-files/*.pcx regression/; \
-	fi
-	# Regression testing is done through a Makefile. Set an env var
-	# to prevent python from generating pyc files all over the
-	# source tree well. We still run dh_auto_test here, so we don't
-	# need to check DEB_BUILD_OPTIONS for nocheck
-	PYTHONDONTWRITEBYTECODE=1 dh_auto_test --buildsystem makefile -- ${TEST_VERBOSE}
+	# Override regression testing to:
+	#  - Prevent python from generating pyc files all over the
+	#    source tree.
+	#  - Control test verbosity
+	#  - Use `make regression` instead of `make test`, since the
+	#    latter includes style checks that might cause unneccesary
+	#    test failures when the style check tools are updated.
+	PYTHONDONTWRITEBYTECODE=1 make regression $(TEST_VERBOSE)
 
 execute_after_dh_auto_clean:
 	# The distutils buildsystem doesn't know about the regression
 	# test, so we'll have to manually clean it.
 	make -C regression clean
-	if [ -d debian/original-pcx-files ]; then \
-		mv debian/original-pcx-files/*.pcx regression/; \
-		rmdir debian/original-pcx-files; \
-	fi

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/nml-(\d\S+)\.tar\.gz/nml-$1\.tar\.gz/ \
  https://github.com/OpenTTD/nml/releases .*/nml-(\d\S+)\.tar\.gz

## nml 0.7.0

=== debian/changelog ===
nml (0.7.0-1) unstable; urgency=medium

  * [13d243b] New upstream release 0.7.0

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Sep 2022 21:42:32 +0200

## nml 0.7.1

=== Makefile ===
MAKE?=make
PYTHON?=/usr/bin/env python3
BLACK_OPTIONS=-l 120 --exclude 'action2var_variables.py|action3_callbacks.py|generated'

.PHONY: regression test install extensions clean flake black

regression: extensions
	$(MAKE) -C regression

test: regression flake

install:
	$(PYTHON) setup.py install

extensions:
	$(PYTHON) setup.py build_ext --inplace

clean:
	$(MAKE) -C regression clean

flake:
	$(PYTHON) -m black --check $(BLACK_OPTIONS) nml
	$(PYTHON) -m flake8 nml

black:
	$(PYTHON) -m black $(BLACK_OPTIONS) nml

=== debian/changelog ===
nml (0.7.1-1) unstable; urgency=medium

  * [6b483b1] New upstream release 0.7.1
  * [86ef696] Fix watchfile by using github API
  * [23090c9] Bump standards version to 4.6.2 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 13 Feb 2023 13:21:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 #
 # This stuff can be removed once dh-python starts handling this
 # automatically: https://bugs.debian.org/945945
+# Merged in dh-python 5.20220213, 2022-02, so can probably be removed
+# once bookworm is released.
 override_dh_auto_build:
 	dh_auto_build $@ -- --quiet
 override_dh_auto_configure:

## nml 0.7.4

=== debian/changelog ===
nml (0.7.4-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:46:57 +0000

nml (0.7.4-1) unstable; urgency=medium

  * [2de04bf] New upstream release 0.7.4
  * [f7a4f38] Fix cleanup leaving files around (Closes: #1045259)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 26 Nov 2023 13:36:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
  python3-ply, python3-pil
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/openttd-team/nml
 Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
 Homepage: https://github.com/OpenTTD/nml

=== debian/rules ===
--- 
+++ 
@@ -51,4 +51,4 @@
 execute_after_dh_auto_clean:
 	# The distutils buildsystem doesn't know about the regression
 	# test, so we'll have to manually clean it.
-	make -C regression clean
+	make clean

## nml 0.7.5

=== debian/changelog ===
nml (0.7.5-1) unstable; urgency=medium

  * [4d913b4] New upstream release 0.7.5
  * [cb76380] Bump standards version to 4.7.0 (no changes required)
  * [483bc59] Remove custom handling of DEB_BUILD_OPTIONS=terse
  * [b19cdc8] Remove two cleaning patches that were merged upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 22 Apr 2024 09:50:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
  python3-ply, python3-pil
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/nml
 Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
 Homepage: https://github.com/OpenTTD/nml

## nml 0.7.6

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 
 clean:
 	$(MAKE) -C regression clean
+	# Clean extension put into root dir by --inplace
+	rm -f *.so
 
 flake:
 	$(PYTHON) -m black --check $(BLACK_OPTIONS) nml

=== regression/Makefile ===
--- 
+++ 
@@ -50,4 +50,4 @@
 	$(_V) diff expected/example_$@.grf output2/example_$@.grf
 
 clean:
-	$(_V) rm -rf output nml_output output2
+	$(_V) rm -rf output nml_output output2 .nmlcache

=== debian/changelog ===
nml (0.7.6-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:02:40 +0000

nml (0.7.6-1) unstable; urgency=medium

  [ Matthijs Kooijman ]
  * [66fae82] New upstream release 0.7.6 (Closes: #1092509)
  * [a161211] Depend on python3-pkg-resources instead of full
    python3-setuptools (Closes: #1094349)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 25 Feb 2025 20:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,7 @@
 Multi-Arch: foreign
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
 # Upstream doesn't list dependencies in setup.py, so we list them manually here
- python3-ply, python3-pil (>= 3.4),
-# The nmlc script setuptools generates uses pkg_resources from setuptools to
-# locate its entrypoint within the nml python package.
- python3-setuptools
+ python3-ply, python3-pil (>= 3.4), python3-pkg-resources
 Description: newgrf meta language compiler
  NML is a python-based compiler, capable of compiling NML (NewGRF Meta
  Language) files (along with their associated language, sound and graphic

## nml 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 MAKE?=make
 PYTHON?=/usr/bin/env python3
-BLACK_OPTIONS=-l 120 --exclude 'action2var_variables.py|action3_callbacks.py|generated'
 
 .PHONY: regression test install extensions clean flake black
 
@@ -21,8 +20,8 @@
 	rm -f *.so
 
 flake:
-	$(PYTHON) -m black --check $(BLACK_OPTIONS) nml
+	$(PYTHON) -m black --check nml
 	$(PYTHON) -m flake8 nml
 
 black:
-	$(PYTHON) -m black $(BLACK_OPTIONS) nml
+	$(PYTHON) -m black nml

=== debian/changelog ===
nml (0.8.1-1) unstable; urgency=medium

  * [c2995d5] New upstream release 0.8.1
  * [1d53373] Drop python3-pkg-resources dependency (Closes: #1094349)
  * [6f47d22] Drop python-ply dependency
  * [4dcf5cc] Bump standards version to 4.7.3

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 14 Feb 2026 13:40:42 +0100

=== debian/control ===
Source: nml
Section: devel
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all-dev:any, libpython3-all-dev, python3-setuptools,
 python3-ply, python3-pil
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/openttd-team/nml
Vcs-Git: https://salsa.debian.org/openttd-team/nml.git
Homepage: https://github.com/OpenTTD/nml
Rules-Requires-Root: no

Package: nml
Architecture: any
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: newgrf meta language compiler
 NML is a python-based compiler, capable of compiling NML (NewGRF Meta
 Language) files (along with their associated language, sound and graphic
 files) into grf and / or nfo files (which can serve as datafiles for the
 OpenTTD or TTDPatch games).
